newt_set_help_callback
newt_suspend
Fonctions Newt
PHP Manual

# newt_set_suspend_callback

(PECL newt >= 0.1)

newt_set_suspend_callback — Assigne la fonction de rappel appelée sur suspension

### Description

void newt_set_suspend_callback ( callback `$function` , mixed `$data` )

newt_set_suspend_callback() assigne une fonction de rappel qui sera appelée lorsque l'utilisateur appuiera sur la touche de suspension (normalement ^Z). Si aucune fonction de rappel n'est configurée, la commande de suspension est ignorée.

### Liste de paramètres

`function`

  Une fonction de rappel, qui accepte un argument : data

`data`

  Cette donnée sera passée à la fonction de rappel

### Valeurs de retour

Aucune valeur n'est retournée.

### Voir aussi

- newt_suspend() - Indique à newt de retourner à l'état initial du terminal
- newt_resume() - Récupère l'interface de newt après l'appel de newt_suspend

newt_set_help_callback
newt_suspend
Fonctions Newt
PHP Manual